AbstractConfiguration (Avalon Framework 4.1.5 API)
Keywords: org.apache.avalon.framework.configuration.AbstractConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.configuration
Class AbstractConfiguration

    java.lang.Object
      org.apache.avalon.framework.configuration.AbstractConfiguration

All Implemented Interfaces:
  Configuration

Direct Known Subclasses:
  DefaultConfiguration

public abstract class AbstractConfiguration
extends Object
implements Configuration

This is an abstract `Configuration` implementation that deals with methods that can be abstracted away from underlying implementations.

Version:
  CVS $Revision: 1.29 $ $Date: 2003/08/29 15:12:00 $
Author:
  Avalon Development Team

Constructor Summary
`AbstractConfiguration()`

Method Summary
`String` | `getAttribute(String name, String defaultValue)` Returns the value of the attribute specified by its name as a `String`.
`boolean` | `getAttributeAsBoolean(String name)` Returns the value of the attribute specified by its name as a `boolean`.
`boolean` | `getAttributeAsBoolean(String name, boolean defaultValue)` Returns the value of the attribute specified by its name as a `boolean`.
`float` | `getAttributeAsFloat(String name)` Returns the value of the attribute specified by its name as a `float`.
`float` | `getAttributeAsFloat(String name, float defaultValue)` Returns the value of the attribute specified by its name as a `float`.
`int` | `getAttributeAsInteger(String name)` Returns the value of the attribute specified by its name as an `int`.
`int` | `getAttributeAsInteger(String name, int defaultValue)` Returns the value of the attribute specified by its name as an `int`.
`long` | `getAttributeAsLong(String name)` Returns the value of the attribute specified by its name as a `long`.
`long` | `getAttributeAsLong(String name, long defaultValue)` Returns the value of the attribute specified by its name as a `long`.
`Configuration` | `getChild(String name)` Return the first `Configuration` object child of this associated with the given name.
`Configuration` | `getChild(String name, boolean createNew)` Return the first `Configuration` object child of this associated with the given name.
`protected abstract String` | `getPrefix()` Returns the prefix of the namespace.
`String` | `getValue(String defaultValue)` Returns the value of the configuration element as a `String`.
`boolean` | `getValueAsBoolean()` Returns the value of the configuration element as a `boolean`.
`boolean` | `getValueAsBoolean(boolean defaultValue)` Returns the value of the configuration element as a `boolean`.
`float` | `getValueAsFloat()` Returns the value of the configuration element as a `float`.
`float` | `getValueAsFloat(float defaultValue)` Returns the value of the configuration element as a `float`.
`int` | `getValueAsInteger()` Returns the value of the configuration element as an `int`.
`int` | `getValueAsInteger(int defaultValue)` Returns the value of the configuration element as an `int`.
`long` | `getValueAsLong()` Returns the value of the configuration element as a `long`.
`long` | `getValueAsLong(long defaultValue)` Returns the value of the configuration element as a `long`.
`String` | `toString()` The toString() operation is used for debugging information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.avalon.framework.configuration.Configuration
`getAttribute, getAttributeNames, getChildren, getChildren, getLocation, getName, getNamespace, getValue`

Constructor Detail

### AbstractConfiguration

    public AbstractConfiguration()

Method Detail

### getPrefix

    protected abstract String getPrefix()
                                 throws ConfigurationException

  Returns the prefix of the namespace. This is only used as a serialization hint, therefore is not part of the client API. It should be included in all Configuration implementations though.

  Returns:
    A non-null String (defaults to "")
  Throws:
    `ConfigurationException` - if no prefix was defined (prefix is `null`.
  Since:
    4.1

### getValueAsInteger

    public int getValueAsInteger()
                          throws ConfigurationException

  Returns the value of the configuration element as an `int`. Hexadecimal numbers begin with 0x, Octal numbers begin with 0o and binary numbers begin with 0b, all other values are assumed to be decimal.

  Specified by:
    `getValueAsInteger` in interface `Configuration`
  Returns:
    the value
  Throws:
    `ConfigurationException` - if an error occurs

### getValueAsInteger

    public int getValueAsInteger(int defaultValue)

  Returns the value of the configuration element as an `int`. Hexadecimal numbers begin with 0x, Octal numbers begin with 0o and binary numbers begin with 0b, all other values are assumed to be decimal.

  Specified by:
    `getValueAsInteger` in interface `Configuration`
  Parameters:
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getValueAsLong

    public long getValueAsLong()
                        throws ConfigurationException

  Returns the value of the configuration element as a `long`. Hexadecimal numbers begin with 0x, Octal numbers begin with 0o and binary numbers begin with 0b, all other values are assumed to be decimal.

  Specified by:
    `getValueAsLong` in interface `Configuration`
  Returns:
    the value
  Throws:
    `ConfigurationException` - if an error occurs

### getValueAsLong

    public long getValueAsLong(long defaultValue)

  Returns the value of the configuration element as a `long`. Hexadecimal numbers begin with 0x, Octal numbers begin with 0o and binary numbers begin with 0b, all other values are assumed to be decimal.

  Specified by:
    `getValueAsLong` in interface `Configuration`
  Parameters:
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getValueAsFloat

    public float getValueAsFloat()
                          throws ConfigurationException

  Returns the value of the configuration element as a `float`.

  Specified by:
    `getValueAsFloat` in interface `Configuration`
  Returns:
    the value
  Throws:
    `ConfigurationException` - if an error occurs

### getValueAsFloat

    public float getValueAsFloat(float defaultValue)

  Returns the value of the configuration element as a `float`.

  Specified by:
    `getValueAsFloat` in interface `Configuration`
  Parameters:
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getValueAsBoolean

    public boolean getValueAsBoolean()
                              throws ConfigurationException

  Returns the value of the configuration element as a `boolean`.

  Specified by:
    `getValueAsBoolean` in interface `Configuration`
  Returns:
    the value
  Throws:
    `ConfigurationException` - if an error occurs

### getValueAsBoolean

    public boolean getValueAsBoolean(boolean defaultValue)

  Returns the value of the configuration element as a `boolean`.

  Specified by:
    `getValueAsBoolean` in interface `Configuration`
  Parameters:
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getValue

    public String getValue(String defaultValue)

  Returns the value of the configuration element as a `String`.

  Specified by:
    `getValue` in interface `Configuration`
  Parameters:
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getAttributeAsInteger

    public int getAttributeAsInteger(String name)
                              throws ConfigurationException

  Returns the value of the attribute specified by its name as an `int`. Hexadecimal numbers begin with 0x, Octal numbers begin with 0o and binary numbers begin with 0b, all other values are assumed to be decimal.

  Specified by:
    `getAttributeAsInteger` in interface `Configuration`
  Parameters:
    `name` - the name of the attribute
  Returns:
    the value
  Throws:
    `ConfigurationException` - if an error occurs

### getAttributeAsInteger

    public int getAttributeAsInteger(String name,
                                     int defaultValue)

  Returns the value of the attribute specified by its name as an `int`. Hexadecimal numbers begin with 0x, Octal numbers begin with 0o and binary numbers begin with 0b, all other values are assumed to be decimal.

  Specified by:
    `getAttributeAsInteger` in interface `Configuration`
  Parameters:
    `name` - the name of the attribute
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getAttributeAsLong

    public long getAttributeAsLong(String name)
                            throws ConfigurationException

  Returns the value of the attribute specified by its name as a `long`. Hexadecimal numbers begin with 0x, Octal numbers begin with 0o and binary numbers begin with 0b, all other values are assumed to be decimal.

  Specified by:
    `getAttributeAsLong` in interface `Configuration`
  Parameters:
    `name` - the name of the attribute
  Returns:
    the value
  Throws:
    `ConfigurationException` - if an error occurs

### getAttributeAsLong

    public long getAttributeAsLong(String name,
                                   long defaultValue)

  Returns the value of the attribute specified by its name as a `long`. Hexadecimal numbers begin with 0x, Octal numbers begin with 0o and binary numbers begin with 0b, all other values are assumed to be decimal.

  Specified by:
    `getAttributeAsLong` in interface `Configuration`
  Parameters:
    `name` - the name of the attribute
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getAttributeAsFloat

    public float getAttributeAsFloat(String name)
                              throws ConfigurationException

  Returns the value of the attribute specified by its name as a `float`.

  Specified by:
    `getAttributeAsFloat` in interface `Configuration`
  Parameters:
    `name` - the name of the attribute
  Returns:
    the value
  Throws:
    `ConfigurationException` - if an error occurs

### getAttributeAsFloat

    public float getAttributeAsFloat(String name,
                                     float defaultValue)

  Returns the value of the attribute specified by its name as a `float`.

  Specified by:
    `getAttributeAsFloat` in interface `Configuration`
  Parameters:
    `name` - the name of the attribute
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getAttributeAsBoolean

    public boolean getAttributeAsBoolean(String name)
                                  throws ConfigurationException

  Returns the value of the attribute specified by its name as a `boolean`.

  Specified by:
    `getAttributeAsBoolean` in interface `Configuration`
  Parameters:
    `name` - the name of the attribute
  Returns:
    the value
  Throws:
    `ConfigurationException` - if an error occurs

### getAttributeAsBoolean

    public boolean getAttributeAsBoolean(String name,
                                         boolean defaultValue)

  Returns the value of the attribute specified by its name as a `boolean`.

  Specified by:
    `getAttributeAsBoolean` in interface `Configuration`
  Parameters:
    `name` - the name of the attribute
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getAttribute

    public String getAttribute(String name,
                               String defaultValue)

  Returns the value of the attribute specified by its name as a `String`.

  Specified by:
    `getAttribute` in interface `Configuration`
  Parameters:
    `name` - the name of the attribute
    `defaultValue` - the default value to return if value malformed or empty
  Returns:
    the value

### getChild

    public Configuration getChild(String name)

  Return the first `Configuration` object child of this associated with the given name. If no such child exists, a new one will be created.

  Specified by:
    `getChild` in interface `Configuration`
  Parameters:
    `name` - the name of the child
  Returns:
    the child Configuration

### getChild

    public Configuration getChild(String name,
                                  boolean createNew)

  Return the first `Configuration` object child of this associated with the given name.

  Specified by:
    `getChild` in interface `Configuration`
  Parameters:
    `name` - the name of the child
    `createNew` - true if you want to create a new Configuration object if none exists
  Returns:
    the child Configuration

### toString

    public String toString()

  The toString() operation is used for debugging information. It does not create a deep reproduction of this configuration and all child configurations, instead it displays the name, value, and location.

  Returns:
    getName() + "::" + getValue() + ":@" + getLocation();

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Apache Software Foundation. All Rights Reserved.